Status: Fixed Start date: 2017-03-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 4.4

Description

We've an IPTV DVB station that does SPTS (Single Program Transport Streams), which basically means it filters the muxes to only
have the PIDs for a single program.

Unfortunately it doesn't filter the PMT, which results in all services from the original mux being created, only one of which is actually
valid.

Do you think having an option for mux scanning to only include non-empty services could happen? It'd probably have to be a
Network-level setting. Maybe with a per-mux override?

Alternatively, would it be possible to only scan muxes on demand?

History

#1 - 2017-04-25 19:59 - Jaroslav Kysela

- Target version set to 4.4

#2 - 2017-04-25 20:02 - Jaroslav Kysela

Scan: http:/tvheadend.org/projects/tvheadend/wiki/Automatic_IPTV_Network - but you must know Service ID of the active (valid) service.

A note to me: For IPTV input, we can grab all 'valid' PIDs shortly when the stream is received, so it may be wise to postpone service creation until we
see the packets from any A/V elementary stream.

#3 - 2017-05-23 12:24 - Jaroslav Kysela

- Status changed from New to Fixed

The latest code contains two things to handle such 'not-broadcasted' services (note that the stream does not follow the spec when the PSI tables are
not rewritten).

1. PMT PID check - services are created only when according PMT PID is seen
2.there's added 'Service ID' to the mux config, so you may enter the valid 'Service ID' and others are ignored (not created)
3. for IPTV auto network (m3u), #EXTVLCOPT:program= lines are parsed, so you may specify 'Service ID' there, too

Closing as resolved...
